\name{distCGO}
\alias{distCGO}
\alias{distDGGO}
\title{ Distances between GO graphs }
\description{
  These functions provide different ways of measuring the distance
  between two GO graphs. See \code{oneGOGraph} for a description of how
  these graphs are constructed.
}
\usage{
distCGO(term1, term2, dataenv)
distDGGO(term1, term2, dataenv)
}
\arguments{
  \item{term1}{The term used to construct the first graph. }
  \item{term2}{The term used to construct the second graph. }
  \item{dataenv}{The data used to construct both graphs. }
}
\details{
  A number of distances between induced GO graphs have been considered
  in the literature. A basic idea behind these distances is to convey
  some information about the relatedness of the terms (or possibly of
  the genes annotated at those terms) using these distance measures.

  For \code{distDGGO} the distance is the number of nodes in the
  intersection of the two induced graphs divided by the number of nodes
  in the union of the two graphs.

  For \code{distCGO} the distance is not yet implemented.
}
\value{
  A numeric value indicating the distance between \code{term1} and
  \code{term2}. 
}
\references{(1) Cheng et al, Affymetrix. (2) B. Ding and R. Gentleman }
\author{R. Gentleman}

\seealso{\code{\link{oneGOGraph}}, \code{\link{makeGOGraph}}}

\examples{
 distDGGO("GO:0005488", "GO:0030528", GOMFPARENTS)

 distDGGO("GO:0003700", "GO:0030528", GOMFPARENTS)

}
\keyword{manip}
